Jolicloud OS 1.2 Flash Update

Haven’t been able to use flash on our Jolicloud machine for the past month or so. No Mog, no NPR First Listen, limited Youtube. Boo to that. No matter what I’ve done, be it GUI or CLI has helped a lick — same annoying message telling me I need to update the player.

Finally had an open enough day to waste the time it takes sussing out such nonsense.  Turns out the  flashplugin-installer package currently tries to download the installer from an old url. Didn’t notice the failure previously. Current method is downloading the adobe-flashplugin package from a partner repository. Anyway, this fixed it:

sudo -i
echo "deb http://archive.canonical.com/ubuntu lucid partner" >> /etc/apt/sources.list
apt-get remove -y flashplugin-installer flashplugin-nonfree
apt-get update
apt-get install -y adobe-flashplugin

If you’re copying and pasting, probably best to do so line-by-line.

Yay

What say you?